DECLARE @startdate DATETIME
DECLARE @enddate DATETIME
DECLARE @edate DATETIME

INSERT INTO ORDERS (O_ORDERKEY, O_CUSTKEY, O_ORDERSTATUS, O_TOTALPRICE,  
      O_ORDERDATE, O_ORDERPRIORITY, O_CLERK, O_SHIPPRIORITY, O_COMMENT)  
   (SELECT O_ORDERKEY, O_CUSTKEY, O_ORDERSTATUS, O_TOTALPRICE,  
      O_ORDERDATE, O_ORDERPRIORITY, O_CLERK, O_SHIPPRIORITY, O_COMMENT  
    FROM NEWORDERS  
    WHERE O_ORDERDATE > @startdate AND O_ORDERDATE <= @edate)  
   option (loop join)


INSERT INTO LINEITEM (L_ORDERKEY,L_PARTKEY,L_SUPPKEY,L_LINENUMBER,L_QUANTITY,
				L_EXTENDEDPRICE, L_DISCOUNT, L_TAX, L_RETURNFLAG, L_LINESTATUS,
				L_SHIPDATE, L_COMMITDATE, L_RECEIPTDATE, L_SHIPINSTRUCT, L_SHIPMODE, L_COMMENT)
			(SELECT L_ORDERKEY,L_PARTKEY,L_SUPPKEY,L_LINENUMBER,L_QUANTITY,
				L_EXTENDEDPRICE, L_DISCOUNT, L_TAX, L_RETURNFLAG, L_LINESTATUS,
				L_SHIPDATE, L_COMMITDATE, L_RECEIPTDATE, L_SHIPINSTRUCT, L_SHIPMODE, L_COMMENT
			 FROM NEWLINEITEM, NEWORDERS
			 WHERE L_ORDERKEY = O_ORDERKEY AND O_ORDERDATE > @startdate AND 
					O_ORDERDATE <= @edate)
			option (loop join)

DELETE FROM LINEITEM WHERE L_ORDERKEY in 
           		(SELECT O_ORDERKEY FROM MOD_OLDORDERS 
			 WHERE O_ORDERDATE > @startdate AND O_ORDERDATE <= @edate)
			option (loop join)

DELETE FROM ORDERS WHERE O_ORDERKEY in 
           		(SELECT O_ORDERKEY FROM MOD_OLDORDERS
			 WHERE O_ORDERDATE > @startdate AND O_ORDERDATE <= @edate)
			option (loop join)
